=== debian/changelog ===
sagemath-database-cremona-elliptic-curves (0~20191029-4) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 23:18:29 +0200

sagemath-database-cremona-elliptic-curves (0~20191029-3) unstable; urgency=medium

  * Re-upload source-only to help testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 Nov 2020 07:21:35 +0100

sagemath-database-cremona-elliptic-curves (0~20191029-2) unstable; urgency=medium

  * Update d/copyright.
  * Bump dh compat to 13.
  * Declare d/rules doesn't require root.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 23:25:38 +0200

sagemath-database-cremona-elliptic-curves (0~20191029-1) unstable; urgency=medium

  * Initial packaging (Closes: #932445)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Apr 2020 10:01:24 +0200
