=== debian/control ===
Source: sagemath-database-cremona-elliptic-curves
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/JohnCremona/ecdata
Build-Depends: debhelper-compat (= 13), python3
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/sagemath-database-cremona-elliptic-curves.git
Vcs-Browser: https://salsa.debian.org/science-team/sagemath-database-cremona-elliptic-curves

Package: sagemath-database-cremona-elliptic-curves
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Databases of elliptic curves over the rationals
 This package contains John Cremona's database of all elliptic curves
 over the rationals of bounded conductor.
 .
 It is a complement to the sagemath software suite.
