=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	python3 debian/build_sql3db.py

override_dh_auto_clean:
	rm -f cremona.db
