=== debian/watch ===
version=4
opts=uversionmangle=s/([\d]+)-([\d]+)-([\d]+)/$1$2$3/g,dversionmangle=s/^[0-9]~//g \
https://github.com/JohnCremona/ecdata/tags .*/@ANY_VERSION@\.tar\.gz
