## sagemath-database-cremona-elliptic-curves 20221013

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 CC = gcc
 
-FTP_HOST = warwick
-FTP_DIR = public_html/ftp/data
-DIST_DIR = /home/jec/ecdata/ecdata
+FTP_DIR = $(HOME)/JohnCremona.github.io/ftp/data
+DIST_DIR = $(HOME)/ecdata/ecdata
 
 ALLCURVES = allcurves/allcurves.?0000-?9999 allcurves/allcurves.??0000-??9999
 APLIST = aplist/aplist.?0000-?9999 aplist/aplist.??0000-??9999
@@ -23,6 +22,7 @@
 TWOADIC = 2adic/2adic.?0000-?9999 2adic/2adic.??0000-??9999
 OPTIMAL = opt_man/opt_man.?0000-?9999 opt_man/opt_man.??0000-??9999
 GROWTH = growth/*/growth*.*000-*999
+IWASAWA = iwasawa/iwasawa.?0000-?9999 iwasawa/iwasawa.1?0000-1?9999
 
 allcurves: $(ALLCURVES)
 	@echo $(ALLCURVES)
@@ -56,39 +56,33 @@
 	@echo $(OPTIMAL)
 growth: $(GROWTH)
 	@echo $(GROWTH)
+iwasawa: $(IWASAWA)
+	@echo $(IWASAWA)
 
-HTMLFILES = html/index.html html/shas.html html/table.html html/curves.1-1000.html
-TEXTFILES = doc/manin.txt doc/file-format.txt doc/release_notes.md doc/merging.txt
-DATAFILES =  $(ALLCURVES) $(APLIST) $(BIGSHA) $(COUNT) $(DEGPHI) $(ALLDEGPHI) $(ALLGENS) $(BSD) $(ALLISOG) $(PARICURVES) $(INTPTS) $(GALREPS) $(TWOADIC) $(OPTIMAL) $(GROWTH)
+HTMLFILES = docs/index.html docs/shas.html docs/table.html docs/curves.1-1000.html
+TEXTFILES = docs/manin.txt docs/file-format.txt docs/release_notes.md docs/merging.txt
+DATAFILES =  $(ALLCURVES) $(APLIST) $(BIGSHA) $(COUNT) $(DEGPHI) $(ALLDEGPHI) $(ALLGENS) $(BSD) $(ALLISOG) $(PARICURVES) $(INTPTS) $(GALREPS) $(TWOADIC) $(OPTIMAL) $(GROWTH) $(IWASAWA)
 FTPFILES = $(DATAFILES) $(TEXTFILES) $(HTMLFILES)
-DATASUBDIRS = allcurves aplist allbigsha count curves degphi alldegphi allgens allisog allbsd paricurves intpts galrep 2adic growth opt_man
+DATASUBDIRS = allcurves aplist allbigsha count curves degphi alldegphi allgens allisog allbsd paricurves intpts galrep 2adic growth opt_man iwasawa
 
 commit: $(FTPFILES)
 	git add $(DATAFILES)
 	-git commit -m "updated data files"
 	git add $(TEXTFILES)
-	-git commit -m "updated text files (in master:./doc)"
+	-git commit -m "updated text files (in master:./docs)"
 	git add $(HTMLFILES)
-	-git commit -m "updated html files (in master:./html)"
+	-git commit -m "updated html files (in master:./docs)"
 	git push
-	git checkout gh-pages
-	git checkout master:./html/ ./
-	git add *.html
-	-git commit -m "updated html files in gh-pages branch"
-	git push
-	git checkout master
-
 
 DATE = $(shell date +%Y-%m-%d )
 tar: $(FTPFILES)
 	rm -rf $(DIST_DIR)
 	mkdir -p $(DIST_DIR)
-	for d in $(DATASUBDIRS) html doc; do mkdir -p $(DIST_DIR)/$${d}; done
+	for d in $(DATASUBDIRS) docs; do mkdir -p $(DIST_DIR)/$${d}; done
 	for f in $(FTPFILES); do ln -s $(PWD)/$${f} $(DIST_DIR)/$${f}; done
 	cd $(DIST_DIR)/..
-	tar -zchf ecdata-$(DATE).tgz ecdata
-	scp ecdata-$(DATE).tgz $(FTP_HOST):$(FTP_DIR)/..
-	ssh $(FTP_HOST) chmod a+r $(FTP_DIR)/../ecdata-$(DATE).tgz
+	tar -zchf $(FTP_DIR)/ecdata-$(DATE).tgz ecdata
+	rm -rf $(DIST_DIR)
 
 # NB The Sage import script requires that the tarball extracts to a
 # directory called 'ecdata'
