=== debian/changelog ===
sagemath-database-cremona-elliptic-curves (20221013-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 18 Oct 2022 09:27:30 +0200
